org.jbpm.process.audit

## Class ProcessInstanceLog_

- java.lang.Object
- - org.jbpm.process.audit.ProcessInstanceLog_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class ProcessInstanceLog_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `correlationKey`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `duration`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date>` | `end`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `externalId`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `identity`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `outcome`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `parentProcessInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processInstanceDescription`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processName`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer>` | `processType`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processVersion`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer>` | `slaCompliance`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date>` | `slaDueDate`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date>` | `start`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer>` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceLog_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> processInstanceId

    - #### processInstanceDescription

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processInstanceDescription

    - #### start

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date> start

    - #### externalId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> externalId

    - #### processVersion

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processVersion

    - #### duration

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> duration

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processId

    - #### processName

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processName

    - #### identity

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> identity

    - #### slaDueDate

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date> slaDueDate

    - #### slaCompliance

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer> slaCompliance

    - #### end

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date> end

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> id

    - #### processType

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer> processType

    - #### parentProcessInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> parentProcessInstanceId

    - #### correlationKey

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> correlationKey

    - #### outcome

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> outcome

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer> status

  - ### Constructor Detail

    - #### ProcessInstanceLog_

          public ProcessInstanceLog_()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.